Index: code/branches/presentation2012merge/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/presentation2012merge/src/orxonox/CMakeLists.txt	(revision 9314)
+++ code/branches/presentation2012merge/src/orxonox/CMakeLists.txt	(revision 9318)
@@ -50,5 +50,4 @@
 ADD_SUBDIRECTORY(items)
 ADD_SUBDIRECTORY(overlays)
-ADD_SUBDIRECTORY(pickup)
 ADD_SUBDIRECTORY(sound)
 ADD_SUBDIRECTORY(weaponsystem)
Index: code/branches/presentation2012merge/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/branches/presentation2012merge/src/orxonox/OrxonoxPrereqs.h	(revision 9314)
+++ code/branches/presentation2012merge/src/orxonox/OrxonoxPrereqs.h	(revision 9318)
@@ -151,7 +151,4 @@
     class OrxonoxOverlay;
     class OverlayGroup;
-
-    // pickup
-    class PickupIdentifier;
 
     //sound
Index: code/branches/presentation2012merge/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- code/branches/presentation2012merge/src/orxonox/interfaces/Pickupable.cc	(revision 9314)
+++ code/branches/presentation2012merge/src/orxonox/interfaces/Pickupable.cc	(revision 9318)
@@ -39,5 +39,4 @@
 
 #include "infos/PlayerInfo.h"
-#include "pickup/PickupIdentifier.h"
 #include "worldentities/pawns/Pawn.h"
 
@@ -52,5 +51,5 @@
         Constructor. Registers the objects and initializes its member variables.
     */
-    Pickupable::Pickupable() : pickupIdentifier_(NULL), used_(false), pickedUp_(false)
+    Pickupable::Pickupable() : used_(false), pickedUp_(false)
     {
         RegisterRootObject(Pickupable);
@@ -58,5 +57,4 @@
         this->carrier_ = NULL;
 
-        this->pickupIdentifier_ = new PickupIdentifier(this);
         this->beingDestroyed_ = false;
         this->enabled_ = true;
@@ -69,9 +67,4 @@
     Pickupable::~Pickupable()
     {
-        if(this->pickupIdentifier_ != NULL)
-        {
-            orxout(verbose, context::pickups) << "Pickupable (&" << this << ") destroyed." << endl;
-            this->pickupIdentifier_->destroy();
-        }
     }
 
Index: code/branches/presentation2012merge/src/orxonox/interfaces/Pickupable.h
===================================================================
--- code/branches/presentation2012merge/src/orxonox/interfaces/Pickupable.h	(revision 9314)
+++ code/branches/presentation2012merge/src/orxonox/interfaces/Pickupable.h	(revision 9318)
@@ -53,6 +53,4 @@
         Pickups (@ref orxonox::Pickupable "Pickupables") are objects that (quite unsurprisingly) can be picked up. Additionally they can be used and unused (transition from used to not used), and also dropped.
 
-        A class of Pickups can incorporate many different types of pickups (see @ref orxonox::PickupIdentifier "PickupIdentifier"), each type is uniquely defined by a @ref orxonox::PickupIdentifier "PickupIdentifier". Each pickup has such an identifier identiying its type. This means that two pickups of the same type have identifiers which are equal.
-
     @author
         Damian 'Mozork' Frick
@@ -70,4 +68,7 @@
             virtual ~Pickupable(); //!< Default destructor.
 
+            //! @brief Returns the representation name which refers to the name of the PickupRepresentation that is used to represent this pickup.
+            virtual const std::string& getRepresentationName() const = 0;
+
             /**
             @brief Get whether the Pickupable is currently in use or not.
@@ -144,11 +145,4 @@
             virtual void clone(OrxonoxClass*& item) {}
 
-            /**
-            @brief Get the PickupIdentifier of this Pickupable.
-            @return Returns a pointer to the PickupIdentifier of this Pickupable.
-            */
-            virtual const PickupIdentifier* getPickupIdentifier(void) const
-                { return this->pickupIdentifier_; }
-
             bool setUsed(bool used); //!< Sets the Pickupable to used or unused, depending on the input.
             bool setPickedUp(bool pickedUp); //!< Helper method to set the Pickupable to either picked up or not picked up.
@@ -158,9 +152,4 @@
 
         protected:
-            /**
-            @brief Helper method to initialize the PickupIdentifier.
-            */
-            void initializeIdentifier(void) {}
-
             virtual void preDestroy(void); //!< A method that is called by OrxonoxClass::destroy() before the object is actually destroyed.
             virtual void destroyPickup(void); //!< Destroys a Pickupable.
@@ -187,6 +176,4 @@
             */
             virtual bool createSpawner(void) = 0;
-
-            PickupIdentifier* pickupIdentifier_; //!< The PickupIdentifier of this Pickupable.
 
         private:
